%global srcname  rfc3986_validator
%global slugname rfc3986_validator
%global pkgname  rfc3986-validator

%global common_description %{expand:
A pure python RFC3986 validator.
}

Summary:        Pure python RFC3986 validator
Name:           python-%{pkgname}
Version:        0.1.1
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/naimetti/rfc3986-validator
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildArch:      noarch

Patch0001:      0001_removing_pytest_runner_and_adding_test_requirements.patch

%description %{common_description}

%package -n python3-%{pkgname}
Summary: Pure python RFC3986 validator

%description -n python3-%{pkgname} %{common_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{slugname}

%check
PYTHONWARNINGS=ignore %pytest -vv tests

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 0.1.1-1
- initial build
